Bug 644825 - 'kinit' with smart card login fails to authenticate to the kdc using the cert and its private key.
'kinit' with smart card login fails to authenticate to the kdc using the cert...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: krb5 (Show other bugs)
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Nalin Dahyabhai
BaseOS QE Security Team
: ZStream
Depends On: 629022
  Show dependency treegraph
Reported: 2010-10-20 07:51 EDT by RHEL Product and Program Management
Modified: 2010-11-30 17:43 EST (History)
13 users (show)

See Also:
Fixed In Version: krb5-1.8.2-3.el6_0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-11-30 17:43:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2010-10-20 07:51:44 EDT
This bug has been copied from bug #629022 and has been proposed
to be backported to 6.0 z-stream (EUS).
Comment 4 Asha Akkiangady 2010-11-17 18:25:54 EST
Tested kerberos user smart card login using Gemalto 64K and CAC card with a Rhel 6 and Rhel 5.5 KDC. Smart card authentication succeeds and the kerberos credentials issued successfully on a i686 and x86_64 Rhel 6.0 Desktop.

Rpms from http://errata.devel.redhat.com/errata/show/10274 :	 	 	


1. Configured a Rhel 6 desktop to do smart card login. loaded up root certs onto

2. Edit /etc/krb5.conf with the KDC and the client ticket details. Configure
krb5.conf with trust anchors, example:
  pkinit_anchors = FILE:/etc/pki/nssdb/kdc-ca.pem
  pkinit_cert_match = <KU>digitalSignature

3. yum install  krb5-pkinit-openssl. Edit /etc/pam.d/smartcard-auth and
/etc/pam.d/system-auth to use pam_krb5 with

4. /etc/pki/nssdb/kdc-ca.pem contains CA certificates in base64 encoded format.
CA that issued smart card and CA that issued KDC certificate.

kdc-ca.pem on KDC also has these CA certificates.

5. Used the card to perform smart card login. 

Logged in successfully and the kerberos credential is issued.

Marking this bug verified.
Comment 6 errata-xmlrpc 2010-11-30 17:43:59 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.